0

Trying to add Hosted Exchange 2019 fails with the following error:

The expected version of the software is not found on your server.

I have tried multiple solidcp servers with Exchange 2019 and Exchange 2019CU1, all return the same error.

Hosted Organizations can be made fine.

SCPServer users for each server are in the Enterprise Admins and Organizational Management group.

Anyone run into this error?

Selected answer as best